SVN: rc-scripts/trunk/rc.d/init.d: Makefile.am local

glen glen at pld-linux.org
Sun Sep 17 15:49:19 CEST 2006


Author: glen
Date: Sun Sep 17 15:49:19 2006
New Revision: 7763

Added:
   rc-scripts/trunk/rc.d/init.d/local   (contents, props changed)
Modified:
   rc-scripts/trunk/rc.d/init.d/Makefile.am
Log:
Use locking for rc.local , so that it's no longer invoked between runlevel changes.

Modified: rc-scripts/trunk/rc.d/init.d/Makefile.am
==============================================================================
--- rc-scripts/trunk/rc.d/init.d/Makefile.am	(original)
+++ rc-scripts/trunk/rc.d/init.d/Makefile.am	Sun Sep 17 15:49:19 2006
@@ -10,7 +10,8 @@
 	random \
 	single \
 	sys-chroots \
-	timezone
+	timezone \
+	local
 	
 init_DATA = functions
 

Added: rc-scripts/trunk/rc.d/init.d/local
==============================================================================
--- (empty file)
+++ rc-scripts/trunk/rc.d/init.d/local	Sun Sep 17 15:49:19 2006
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# local	Set time zone information.
+# chkconfig:	2345 99 01
+#
+# description:	This script will be executed *after* all the other init \
+# scripts. You can put your own initialization stuff in here if you don't \
+# want to do the full Sys V style init stuff.
+#
+# $Id: timezone 6491 2005-10-26 16:33:29Z baggins $
+
+# See how we were called.
+case "$1" in
+  start)
+	  touch /var/lock/subsys/local
+	  . /etc/rc.d/rc.local
+	;;
+  stop)
+	  rm -f /var/lock/subsys/local
+	;;
+  *)
+	echo "Usage: $0 {start|stop}"
+	exit 1
+esac
+
+exit 0
+
+# This must be last line !
+# vi:syntax=sh


More information about the pld-cvs-commit mailing list